Bug 1473705 - Review Request: perl-Alien-Base-ModuleBuild - Perl framework for building Alien:: modules and their libraries
Review Request: perl-Alien-Base-ModuleBuild - Perl framework for building Ali...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jitka Plesnikova
Fedora Extras Quality Assurance
:
Depends On: 1473663 1473678
Blocks: 1473712
  Show dependency treegraph
 
Reported: 2017-07-21 09:14 EDT by Petr Pisar
Modified: 2017-08-14 08:48 EDT (History)
2 users (show)

See Also:
Fixed In Version: perl-Alien-Base-ModuleBuild-0.042-1.fc27
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-08-14 08:48:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jplesnik: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Petr Pisar 2017-07-21 09:14:46 EDT
Spec URL: https://ppisar.fedorapeople.org/perl-Alien-Base-ModuleBuild/perl-Alien-Base-ModuleBuild.spec
SRPM URL: https://ppisar.fedorapeople.org/perl-Alien-Base-ModuleBuild/perl-Alien-Base-ModuleBuild-0.040-1.fc27.src.rpm
Description:
This is a Perl base class and framework for creating Alien distributions. The
goal of the project is to make things as simple and easy as possible for both
developers and users of Alien modules.

Alien is a Perl name space for defining dependencies in CPAN for libraries and
tools which are not "native" to CPAN. Alien modules will typically use the
system libraries if they are available, or download the latest version from
the internet and build them from source code. These libraries can then be
used by other Perl modules, usually modules that are implemented with XS or FFI.

Fedora Account System Username: ppisar
Comment 1 Jitka Plesnikova 2017-08-04 06:45:22 EDT
$ rpmlint ./perl-Alien-Base-ModuleBuild*
perl-Alien-Base-ModuleBuild.src: W: invalid-url Source0: http://www.cpan.org/authors/id/P/PL/PLICEASE/Alien-Base-ModuleBuild-0.040.tar.gz HTTP Error 404: Not Found
./perl-Alien-Base-ModuleBuild.spec: W: invalid-url Source0: http://www.cpan.org/authors/id/P/PL/PLICEASE/Alien-Base-ModuleBuild-0.040.tar.gz HTTP Error 404: Not Found
2 packages and 1 specfiles checked; 0 errors, 2 warnings.

FIX: The latest version is 0.042. Please update it. There are some changes in dependencies

Review for current package:
Summary is ok
License is ok
Description is ok
URL and Source0 are ok
All tests passed
BuildRequires are ok

FIX: 'findutils' can be removed from build-requires, I can't find any
      using of it.

Binary requires are Ok.
Binary provides are Ok.

Please correct all 'FIX' issues and provide new spec file.
Comment 3 Jitka Plesnikova 2017-08-04 09:33:50 EDT
Summary is ok
License is ok
Description is ok
URL and Source0 are ok
All tests passed
BuildRequires are ok

$ rpm -qp --requires perl-Alien-Base-ModuleBuild-0.042-1.fc27.noarch.rpm | sort | uniq -c
      1 perl(Alien::Base::ModuleBuild::Cabinet)
      1 perl(Alien::Base::ModuleBuild::File)
      1 perl(Alien::Base::ModuleBuild::Repository)
      1 perl(Alien::Base::ModuleBuild::Repository::FTP)
      1 perl(Alien::Base::ModuleBuild::Repository::HTTP)
      1 perl(Alien::Base::ModuleBuild::Repository::Local)
      1 perl(Alien::Base::ModuleBuild::Utils)
      1 perl(Alien::Base::PkgConfig)
      1 perl(Archive::Extract)
      1 perl(Capture::Tiny) >= 0.17
      1 perl(Carp)
      1 perl(Config)
      1 perl(Env)
      1 perl(Exporter)
      1 perl(ExtUtils::Installed)
      1 perl(File::Basename)
      1 perl(File::chdir) >= 0.1005 
      1 perl(File::Copy)
      1 perl(File::Find)
      1 perl(File::Path)
      1 perl(File::ShareDir) >= 1.00
      1 perl(File::Spec)
      1 perl(HTTP::Tiny) >= 0.044
      1 perl(List::Util) >= 1.45
      1 perl(Module::Build) >= 0.36
      1 perl(:MODULE_COMPAT_5.26.0)
      1 perl(Net::FTP)
      1 perl(parent)
      1 perl(Scalar::Util)
      1 perl(Shell::Config::Generate)
      1 perl(Shell::Guess)
      1 perl(Sort::Versions)
      1 perl(strict)
      1 perl(Text::Balanced)
      1 perl(Text::ParseWords) >= 3.26
      1 perl(URI)
      1 perl(warnings)
      1 pkgconf-pkg-config
      1 rpmlib(CompressedFileNames) <= 3.0.4-1
      1 rpmlib(FileDigests) <= 4.6.0-1
      1 rpmlib(PayloadFilesHavePrefix) <= 4.0-1
      1 rpmlib(PayloadIsXz) <= 5.2-1
Binary requires are Ok.

$ rpm -qp --provides perl-Alien-Base-ModuleBuild-0.042-1.fc27.noarch.rpm | sort | uniq -c
      1 perl(Alien::Base::ModuleBuild) = 0.042
      1 perl-Alien-Base-ModuleBuild = 0.042-1.fc27
      1 perl(Alien::Base::ModuleBuild::Cabinet) = 0.042
      1 perl(Alien::Base::ModuleBuild::File) = 0.042
      1 perl(Alien::Base::ModuleBuild::Repository) = 0.042
      1 perl(Alien::Base::ModuleBuild::Repository::FTP) = 0.042
      1 perl(Alien::Base::ModuleBuild::Repository::HTTP) = 0.042
      1 perl(Alien::Base::ModuleBuild::Repository::Local) = 0.042
      1 perl(Alien::Base::ModuleBuild::Utils) = 0.042
      1 perl(Alien::Base::PkgConfig) = 0.042
Binary provides are Ok.

$ rpmlint ./perl-Alien-Base-ModuleBuild*
2 packages and 1 specfiles checked; 0 errors, 0 warnings.
Rpmlint is ok

The package looks good.
Approved
Comment 4 Ralph Bean 2017-08-10 11:07:51 EDT
(fedrepo-req-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/perl-Alien-Base-ModuleBuild
Comment 5 Ralph Bean 2017-08-10 11:12:26 EDT
(fedrepo-req-admin):  Apologies for the delay.
Comment 6 Petr Pisar 2017-08-11 06:11:29 EDT
Waiting on <https://pagure.io/fedora-infrastructure/issue/6236>.
Comment 7 Petr Pisar 2017-08-14 08:48:15 EDT
Thank you for the review.

Note You need to log in before you can comment on or make changes to this bug.